/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */

package net.ranides.assira.reflection.mockup;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public final class ForAnnotationUtils {
    
    private ForAnnotationUtils() {
        /* utility class */
    }

    @Retention(RetentionPolicy.RUNTIME)
    public static @interface MethodInfo {
        
        String name();
        
        String author();
        
        Class<?> type() default Integer.class;
        
        int uid() default 77;
        
        API api();
        
    }
    
    public static enum API {
        ANSI, JAVA, GNU
    }
    
    @MethodInfo(name="m1", author="ranides", api=API.GNU)
    public static void m1() {
        
    }
    
}
